This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 28474 - [WebVTT] Regions should be CSS-selectable by ID
Summary: [WebVTT] Regions should be CSS-selectable by ID
Status: RESOLVED FIXED
Alias: None
Product: TextTracks CG
Classification: Unclassified
Component: WebVTT (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: Web Media Text Tracks CG
URL:
Whiteboard: widereview
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-12 11:25 UTC by Silvia Pfeiffer
Modified: 2017-06-26 23:17 UTC (History)
4 users (show)

See Also:


Attachments

Description Silvia Pfeiffer 2015-04-12 11:25:38 UTC
Feedback by the CSS WG, see http://lists.w3.org/Archives/Public/public-tt/2015Apr/0007.html

Even though regions have an ID, it looks like you can't select by it. All you can do is apply styles to all regions. What's the purpose of this, then? It seems equivalent to ::cue with no argument, except maybe the background property would apply over a wider box.
Comment 1 Philip J├Ągenstedt 2015-04-15 09:26:52 UTC
Region IDs are half-removed. VTTRegion no longer has an exposed ID:
http://dev.w3.org/html5/webvtt/#the-vttregion-interface

It's still used as part of the parsing, but my intention was to remove it from the model to make it entirely a part of the parser, but since it's not Web-exposed I didn't get around to that.
Comment 2 David Singer 2016-10-11 16:39:48 UTC
I don't understand how to remove region IDs completely as they are used to associate regions with cues.

It seems that if we must keep region IDs, we could (should?) have a ::region(id) selector.  Comments?
Comment 3 Silvia Pfeiffer 2017-03-07 10:21:26 UTC
::cue-region(region-id) would make a lot of sense, see https://github.com/w3c/webvtt/issues/314
Comment 4 David Singer 2017-04-17 18:49:28 UTC
see https://github.com/w3c/webvtt/issues/314
Comment 5 Silvia Pfeiffer 2017-06-26 23:17:22 UTC
Fixed in https://github.com/w3c/webvtt/pull/349